package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.DeviceUpgradeHistory;
import com.neusoft.smart.pos.ota.persistent.domain.DeviceUpgradeHistoryExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DeviceUpgradeHistoryMapper {

	int countByExample(DeviceUpgradeHistoryExample example);

	int deleteByExample(DeviceUpgradeHistoryExample example);

	int deleteByPrimaryKey(Integer id);

	int insert(DeviceUpgradeHistory record);

	int insertSelective(DeviceUpgradeHistory record);

	List<DeviceUpgradeHistory> selectByExample(DeviceUpgradeHistoryExample example);

	DeviceUpgradeHistory selectByPrimaryKey(Integer id);

	int updateByExampleSelective(@Param("record") DeviceUpgradeHistory record, @Param("example") DeviceUpgradeHistoryExample example);

	int updateByExample(@Param("record") DeviceUpgradeHistory record, @Param("example") DeviceUpgradeHistoryExample example);

	int updateByPrimaryKeySelective(DeviceUpgradeHistory record);

	int updateByPrimaryKey(DeviceUpgradeHistory record);
}